package com.zhongshu.card.server.core.dao.payment;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.client.type.RefundState;
import com.zhongshu.card.server.core.dao.payment.extend.ExpenseFlowDaoExtend;
import com.zhongshu.card.server.core.domain.payment.ExpenseFlow;
import com.zhongshu.card.server.core.domain.payment.RefundRecord;

import java.util.List;

/**
 * 订单退款Dao
 *
 * @author TRX
 * @date 2024/3/21
 */
public interface RefundRecordDao extends MongoDao<RefundRecord> {

    RefundRecord findTopById(String id);

    RefundRecord findTopByPaymentNo(String paymentNo);

    RefundRecord findTopByRefundNo(String refundNo);

    List<RefundRecord> findTop10ByRefundStateOrderByCreateTimeDesc(RefundState refundState);
}
